Skip to main content
`Ctrl`+`K`

# PetscLayoutCompare

Compares two layouts

## Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutCompare(PetscLayout mapa, PetscLayout mapb, PetscBool *congruent)

Not Collective

## Input Parameters

- mapa - pointer to the first map

- mapb - pointer to the second map

## Output Parameter

- congruent - `PETSC_TRUE` if the two layouts are congruent, `PETSC_FALSE` otherwise

## See Also

PetscLayout, `PetscLayoutCreate()`, `PetscLayoutSetLocalSize()`, `PetscLayoutGetLocalSize()`, `PetscLayoutGetBlockSize()`, `PetscLayoutGetRange()`, `PetscLayoutGetRanges()`, `PetscLayoutSetSize()`, `PetscLayoutGetSize()`, `PetscLayoutSetUp()`

## Level

beginner

## Location

src/vec/is/utils/pmap.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages